Skip to main content
GET
/
api
/
v1
/
tokenization
/
collections
/
{id}
/
tokens
/
{tokenId}
Get Collection token details
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/tokenization/collections/{id}/tokens/{tokenId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>'
{
  "collcetion": {
    "id": "<string>",
    "collectionId": "<string>",
    "name": "<string>",
    "symbol": "<string>",
    "network": "<string>",
    "addressId": "<string>",
    "contractAddress": "<string>",
    "status": "<string>",
    "recipientAddress": "<string>",
    "mintTransactionHash": "<string>",
    "burnTransactionHash": "<string>",
    "mintedAt": "<string>",
    "burnedAt": "<string>",
    "metadata": {
      "name": "<string>",
      "description": "<string>",
      "image": "<string>",
      "animation_url": "<string>",
      "external_url": "<string>",
      "attributes": [
        {
          "trait_type": "<string>",
          "value": "<string>",
          "display_type": "<string>"
        }
      ]
    },
    "mintRecord": {
      "id": "<string>",
      "amount": "<string>",
      "note": "<string>",
      "status": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    },
    "burnRecord": {
      "id": "<string>",
      "amount": "<string>",
      "note": "<string>",
      "status": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Path Parameters

id
string
required

Collection ID

tokenId
string
required

Token ID

Response

Collection token details

collcetion
object

Collection token details (key typo: collcetion)